import json
from pprint import pprint

from matplotlib import pyplot as plt

metadata_fname = "example_meta.json"

# Read metadata from file
with open(metadata_fname, "r") as f:
    metadata = json.load(f)

# Print all metadata
pprint(metadata)

# Access metadata
print(metadata["year"])
print(metadata["survey"]["date"])


# Plot RMSE on CPs
err = metadata["survey"]["photogrammetric_block"]["on_ground_accuracy"]["rmse_m"]
keys = list(err.keys())
values = [err[k] for k in keys]
plt.bar(keys, values)
plt.xlabel("Coordinate")
plt.ylabel("RMSE [m]")
plt.title("RMSE on CPs")
